# -*- encoding: utf-8 -*-
# stub: machinist_rails 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "machinist_rails".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jeff Bozek".freeze]
  s.date = "2010-12-20"
  s.description = "Inspired by factory_girl_rails. Machinist_rails enables auto-loading of macros, matchers, and blueprints in spec/support/ and its subdirectories. This allows for easy access to blueprints, etc.. in the console. This also sets machinist as the fixture_replacement for your rails generators.".freeze
  s.email = "jeff.bozek@gmail.com".freeze
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.homepage = "http://github.com/jeffbozek/machinist_rails".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Simple railtie integration of machinist to rails 3.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<shoulda>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_development_dependency(%q<jeweler>.freeze, ["~> 1.5.1"])
    s.add_development_dependency(%q<rcov>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<machinist>.freeze, [">= 2.0.0.beta2"])
    s.add_runtime_dependency(%q<railties>.freeze, [">= 3.0.0"])
  else
    s.add_dependency(%q<shoulda>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_dependency(%q<jeweler>.freeze, ["~> 1.5.1"])
    s.add_dependency(%q<rcov>.freeze, [">= 0"])
    s.add_dependency(%q<machinist>.freeze, [">= 2.0.0.beta2"])
    s.add_dependency(%q<railties>.freeze, [">= 3.0.0"])
  end
end
